<?php
class WPBakeryShortCode_gg_portfolio extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('portfolio', array($this, 'gg_portfolio'));  
   }

   public function gg_portfolio( $atts, $content = null ) { 

         $output = $author_name = $author_company = $author_website = $author_quote = $image = $el_class = '';
         extract(shortcode_atts(array(
             'portfolio_col_select'        => '',
             'portfolio_no_posts'  => '',
             'author_website'  => '',
             'author_quote'  => '',
             'image' => $image,
             'el_class'     => '',
             'css_animation' => '',
             'category_filter' => '',
             'portfolio_style' => '',
             'slides_per_view' => '1',
            'transition_style' => 'fade',
            'portfolio_carousel' => '',
            'wrap' => '',
            'autoplay' => '',
            'hide_pagination_control' => '',
            'hide_prev_next_buttons' => '',
            'speed' => '200',
            'css_animation'         => '',
         ), $atts));

         wp_enqueue_script( 'magnific' );
         wp_enqueue_style( 'magnific' );

         $css_class = $this->getCSSAnimation($css_animation);

         //Default
         $page_layout_width = 'fullwidth';
         $is_unlimited = '';

         switch ($portfolio_col_select) {
            case "four_columns":
                $portfolio_thumb_size = 'portfolio-'.$page_layout_width.'-four-columns';
                $portfolio_col_class = 'col-xs-12 col-md-3';
                break;
            case "three_columns":
                $portfolio_thumb_size = 'portfolio-'.$page_layout_width.'-three-columns';
                $portfolio_col_class = 'col-xs-12 col-md-4';
                break;
            case "two_columns":
                $portfolio_thumb_size = 'portfolio-'.$page_layout_width.'-two-columns';
                $portfolio_col_class = 'col-xs-12 col-md-6';
                break;        
            case "one_column":
                $portfolio_thumb_size = 'portfolio-'.$page_layout_width.'-one-column';
                $portfolio_col_class = 'col-xs-12 col-md-12';
                break;
            case "unlimited":
                $portfolio_thumb_size = 'large';
                $portfolio_col_class = 'col-xs-12 col-md-3';
                $is_unlimited = 'unlimited-cols';
                break;         
        }

        $output .= "\n\t".'<div class="'.$css_class.'">';

        if ($category_filter == 'use_category_filter') {
        wp_enqueue_script( 'isotope' );
        wp_enqueue_style( 'isotope' );
            $output .= "\n\t".'<div class="isotope-filter-content no-back">';
            $output .= "\n\t\t\t\t".'<ul data-option-key="filter" id="options" class="clearfix option-set nav nav-pills">';
            $output .= "\n\t\t\t\t\t".'<li class="col-xs-6 col-sm-3 col-md-2"><a data-option-value="*" href="#filter" class="selected">'. __("All", "okthemes") .'</a></li>';

            $terms = get_terms('portfolio_category');
            foreach ( $terms as $term ) {
               $output .= "\n\t\t\t\t\t".'<li class="col-xs-6 col-sm-3 col-md-2"><a data-option-value=".'.$term->slug.'" href="#filter">' . $term->name . ' <span class="badge pull-right">' . $term->count . '</span> </a></li>';
            }

            $output .= "\n\t\t\t\t".'</ul>';
            $output .= "\n\t\t\t".'</div>';
        }

         $args = array (
                'post_type'              => 'portfolio_cpt',
                'taxonomy'               => 'portfolio_category',
                'posts_per_page'         => $portfolio_no_posts, //do not forget to make an option for this
                'ignore_sticky_posts'    => true
            );

         // The Query
         $portfolio_query = new WP_Query( $args );

         switch ($portfolio_style) {
            case 'style_portfolio_overlay':
                $portfolio_style_class = 'style-image-overlay';
                break;   
            case 'style_portfolio_standard':
                $portfolio_style_class = 'style-image-standard';
                break;
            //default case    
            default:
               $portfolio_style_class = 'style-image-overlay';
        }

         // The Loop
         if ( $portfolio_query->have_posts() ) { 
         $count = $portfolio_query->post_count;

         $is_carousel = '';
         $carousel_data = '';
         $convert_ul = 'ul';
         $convert_li = 'li';
         if ($portfolio_carousel == 'use_portfolio_carousel') {
          //Load carousel
          wp_enqueue_script('owlcarousel');
          
          $is_carousel = 'owl-carousel';
          $convert_ul = 'div';
          $convert_li = 'div';
          $portfolio_col_class ='';
          $carousel_data .= "\n\t".' data-slides-per-view = "'.$slides_per_view.'"';
          $carousel_data .= "\n\t".' data-transition-slide = "'.$transition_style.'"';
          $carousel_data .= "\n\t".' data-navigation-owl = "'.($hide_prev_next_buttons !== 'yes' ? 'true' : 'false').'"';
          $carousel_data .= "\n\t".' data-pagination-owl = "'.($hide_pagination_control !== 'yes' ? 'true' : 'false').'"';
          $carousel_data .= "\n\t".' data-autoplay = "'.($autoplay === 'yes' ? '3000' : 'false').'"';
          $carousel_data .= "\n\t".' data-rewind = "'.($wrap === 'yes' ? 'true' : 'false').'"';
          $carousel_data .= "\n\t".' data-speed = "'.$speed.'"';
         }

         $output .= "\n\t".'<'.$convert_ul.' '.$carousel_data.' class="image-grid '.$is_carousel.' '.$is_unlimited.' " id="'.($category_filter == "use_category_filter" && $portfolio_carousel != 'use_portfolio_carousel' ? "isotope-filter" : "") .'">';

         while ( $portfolio_query->have_posts() ) : $portfolio_query->the_post(); $count--;

         global $post;   
         $port_item_short_desc = rwmb_meta('gg_port_item_short_desc');
         $port_item_lightbox_images = rwmb_meta( 'gg_port_item_lightbox_image', 'type=thickbox_image' );
         $port_item_custom_url = rwmb_meta('gg_port_item_custom_url');


         $output .= "\n\t".'<'.$convert_li.' class="'.$portfolio_col_class.' '.gg_tax_terms_slug('portfolio_category').' '.($category_filter == "use_category_filter" && $portfolio_carousel != 'use_portfolio_carousel' ? "element" : "") .' ">';
         $output .= "\n\t\t".'<figure class="'.$portfolio_style_class.'">';

         $output .= "\n\t\t".get_the_post_thumbnail($post->ID, $portfolio_thumb_size);

         $output .= "\n\t\t\t".'<figcaption class="img-rounded">';
         $output .= "\n\t\t\t\t".'<div class="portfolio-title-subtitle">';

         if ($portfolio_style != 'style_portfolio_standard') {
           $output .= "\n\t\t\t\t".'<h4>';
           $output .= "\n\t\t\t\t\t".'<a href="'.get_permalink().'">'.get_the_title().'</a>';
           $output .= "\n\t\t\t\t".'</h4>';
           $output .= "\n\t\t\t\t".'<span class="port-short-desc">'.$port_item_short_desc.'</span>';
         }
         $output .= "\n\t\t\t\t".'</div>';

         $output .= "\n\t\t\t\t".'<div class="portfolio-meta">';
         if (!empty($port_item_lightbox_images)) { //check if array is empty
            $port_item_lightbox_images_values = array_values($port_item_lightbox_images);
            $port_item_lightbox_images_key = array_shift($port_item_lightbox_images_values);
            $output .= "\n\t\t\t\t".'<a class="img-rounded lightbox-el extra-links"  title="'.$port_item_lightbox_images_key["title"].'" href="'.$port_item_lightbox_images_key["full_url"].'"><i class="icon_zoom-in_alt"></i></a>';
        }

        if ($port_item_custom_url != '') {
            $output .= "\n\t\t\t\t".'<a class="img-rounded extra-links" href="'.$port_item_custom_url.'"><i class="icon_link"></i></a>';
        } else {
            $output .= "\n\t\t\t\t".'<a class="img-rounded extra-links" href="'.get_permalink().'"><i class="icon_link"></i></a>';
        }

         //if( function_exists('gg_love_this') ) {
            $output .= "\n\t\t\t\t".gg_love_this("img-rounded extra-links", 'return');
         //}
         $output .= "\n\t\t\t\t".'</div>';   
         $output .= "\n\t\t\t".'</figcaption>';  
         $output .= "\n\t\t".'</figure>';

         if ($portfolio_style == 'style_portfolio_standard') {
         $output .= "\n\t\t\t\t".'<h4 class="margin-bottom-null">';
         $output .= "\n\t\t\t\t\t".'<a href="'.get_permalink().'">'.get_the_title().'</a>';
         $output .= "\n\t\t\t\t".'</h4>';
         $output .= "\n\t\t\t\t".'<span class="port-short-desc">'.$port_item_short_desc.'</span>';
         }

         $output .= "\n\t".'</'.$convert_li.'>';

         endwhile;
         
         $output .= "\n\t".'</'.$convert_ul.'>';    

         } else {
         
         $output .= "\n\t".'<p>No posts found</p>';
         
         }

         $output .= "\n\t".'</div>';
         return $output;
   }
}

$WPBakeryShortCode_gg_portfolio = new WPBakeryShortCode_gg_portfolio();


vc_map( array(
   "name" => __("Portfolio","okthemes"),
   "description" => __('Display portfolio posts.','okthemes'),
   "base" => "portfolio",
   "class" => "theme_icon_class",
   "icon" => "icon-wpb-gg_vc_portfolio",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   "category" => __('OKThemes','okthemes'),
   "params" => array(
      array(
         "type" => "dropdown",
         "heading" => __("Number of colums", "okthemes"),
         "param_name" => "portfolio_col_select",
         "value" => $portfolio_col_select_array,
         "admin_label" => true,
         "description" => __("Select the number of columns to display", "okthemes"),
         "dependency" => Array('element' => "portfolio_carousel", 'is_empty' => true)
      ),
      array(
         "type" => "textfield",
         "holder" => "div",
         "class" => "",
         "heading" => __("Number of posts","okthemes"),
         "param_name" => "portfolio_no_posts",
         "value" => '9',
         "description" => __("Insert the number of posts to display. Default: 9","okthemes")
      ),
      array(
         "type" => "dropdown",
         "heading" => __("Choose the portfolio style", "okthemes"),
         "param_name" => "portfolio_style",
         "value" => array(__("Overlay", "okthemes") => "style_portfolio_overlay", __("Standard", "okthemes") => "style_portfolio_standard"),
         "admin_label" => true,
         "description" => __("Select the number of columns to display", "okthemes")
      ),
      array(
           "type" => "checkbox",
           "heading" => __("Display category filter?","okthemes"),
           "value" => array(__("Display category filter","okthemes") => "use_category_filter" ),
           "param_name" => "category_filter",
           "dependency" => Array('element' => "portfolio_carousel", 'is_empty' => true)
      ),
      array(
           "type" => "checkbox",
           "heading" => __("Display carousel?","okthemes"),
           "value" => array(__("Display portfolio post in carousel mode","okthemes") => "use_portfolio_carousel" ),
           "param_name" => "portfolio_carousel",
      ),
      array(
          "type" => "dropdown",
          "heading" => __("Slides per view", "okthemes"),
          "param_name" => "slides_per_view",
          "value" => array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10),
          "description" => __("Set numbers of slides you want to display at the same time on slider's container for carousel mode.", "okthemes"),
          "dependency" => Array('element' => "portfolio_carousel", 'value' => array('use_portfolio_carousel'))
      ),
      array(
          "type" => 'checkbox',
          "heading" => __("Hide pagination control", "okthemes"),
          "param_name" => "hide_pagination_control",
          "description" => __("If YES pagination control will be removed .", "okthemes"),
          "value" => Array(__("Yes, please", "okthemes") => 'yes'),
          "dependency" => Array('element' => "portfolio_carousel", 'value' => array('use_portfolio_carousel'))
      ),
      array(
          "type" => 'checkbox',
          "heading" => __("Hide prev/next buttons", "okthemes"),
          "param_name" => "hide_prev_next_buttons",
          "description" => __("If \"YES\" prev/next control will be removed", "okthemes"),
          "value" => Array(__("Yes, please", "okthemes") => 'yes'),
          "dependency" => Array('element' => "portfolio_carousel", 'value' => array('use_portfolio_carousel'))
      ),
      array(
          "type" => 'checkbox',
          "heading" => __("Autoplay", "okthemes"),
          "param_name" => "autoplay",
          "description" => __("Enables autoplay mode.", "okthemes"),
          "value" => Array(__("Yes, please", "okthemes") => 'yes'),
          "dependency" => Array('element' => "portfolio_carousel", 'value' => array('use_portfolio_carousel'))
      ),
      $add_css_animation
   )
) );

?>