<?php
/**
 * The template for displaying posts in the Aside post format
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

		<?php if ( is_single() ) : ?>

		<?php 
		if ( has_post_thumbnail() && get_theme_mod('blog_inner_image', 1) == 1) {
			echo '<div class="post-image">';
				the_post_thumbnail();
			echo '</div>';	 
		}
		?>

		<?php else : ?>

		<?php 
		if ( has_post_thumbnail() ) {
			echo '<div class="post-image">';
				the_post_thumbnail();
			echo '</div>';	 
		}
		?>

		<div class="article-header-body">
			<p class="meta">
				<span class="post-date">
					<i class="icon-time"></i>	
					<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'okthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php echo get_the_date(); ?></a>
				</span>
			</p>
		</div>

		<?php endif; // is_single() ?>
	</header><!-- .entry-header -->

	<div class="entry-content img-rounded">
		<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'okthemes' ) ); ?>
	</div><!-- .entry-content -->

	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'okthemes' ), '<span class="edit-link">', '</span>' ); ?>
		<?php if ( is_single() ) : ?>
			<?php echo smarty_posted_in();?>
		<?php endif; // is_single() ?>
	</footer><!-- .entry-meta -->
</article><!-- #post -->

