<?php
/**
 * The default template for displaying content. Used for both single and index/archive/search.
 *
 * @package WordPress
 * @subpackage Smarty
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

		<?php if ( is_single() ) : ?>

		<?php 
		if ( has_post_thumbnail() && get_theme_mod('blog_inner_image', 1) == 1) {
			echo '<div class="post-image">';
				the_post_thumbnail();
			echo '</div>';	 
		}
		?>

		<?php else : ?>

		<?php 
		if ( has_post_thumbnail() ) {
			echo '<div class="post-image">';
				the_post_thumbnail();
			echo '</div>';	 
		}
		?>

		<span class="post-format chat pull-left img-rounded hidden-xs"><i class="icon_chat_alt"></i></span>
		<div class="article-header-body">
			<h2 class="entry-title">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'okthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h2>
			<p class="meta"><?php echo smarty_posted_on();?></p>
		</div>
		<?php endif; // is_single() ?>
	</header><!-- .entry-header -->

	<?php if ( is_search() ) : // Only display Excerpts for Search ?>
	<div class="entry-summary">
		<?php the_excerpt(); ?>
	</div><!-- .entry-summary -->

	<?php else : ?>
	<div class="entry-content">
		<?php the_content( __( 'Continue reading', 'okthemes' ) ); ?>
		<?php wp_link_pages( array( 'before' => '<div class="page-links">' . __( 'Pages:', 'okthemes' ), 'after' => '</div>' ) ); ?>
	</div><!-- .entry-content -->
	<?php endif; ?>

	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'okthemes' ), '<span class="edit-link">', '</span>' ); ?>
		<?php if ( is_single() ) : ?>
			<?php echo smarty_posted_in();?>
		<?php endif; // is_single() ?>
	</footer><!-- .entry-meta -->
</article><!-- #post -->
