<?php
/**
 * The loop that displays the portfolio posts.
 */
?>

<?php
global $portfolio_style;

switch ($portfolio_style) {
    case 'style_portfolio_overlay':
        $portfolio_style_class = 'style-image-overlay';
        break;  
    case 'style_portfolio_standard':
        $portfolio_style_class = 'style-image-standard';
        break;
    //default case    
    default:
       $portfolio_style_class = 'style-image-overlay';
}

$port_item_short_desc = rwmb_meta('gg_port_item_short_desc');
$port_item_lightbox_images = rwmb_meta( 'gg_port_item_lightbox_image', 'type=thickbox_image' );
$port_item_custom_url = rwmb_meta('gg_port_item_custom_url');
?>

<figure class="<?php echo $portfolio_style_class; ?>">
    
    <?php the_post_thumbnail(); ?>

    <figcaption class="img-rounded">
        <div class="portfolio-title-subtitle">
            <?php if ($portfolio_style != 'style_portfolio_standard') { ?>
                <h4>
                    <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'okthemes' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
                        <?php the_title(); ?>
                    </a>
                </h4>
                
                <?php if ($port_item_short_desc != '') { ?>
                    <span class="port-short-desc"><?php echo $port_item_short_desc; ?></span>
                <?php } ?>
            <?php } ?>
        </div>
        
        <div class="portfolio-meta">
            <?php
            if (!empty($port_item_lightbox_images)) { //check if array is empty
                $port_item_lightbox_images_values = array_values($port_item_lightbox_images);
                $port_item_lightbox_images_key = array_shift($port_item_lightbox_images_values);
                echo '<a class="img-rounded lightbox-el extra-links"  title="'.$port_item_lightbox_images_key["title"].'" href="'.$port_item_lightbox_images_key["full_url"].'"><i class="icon_zoom-in_alt"></i></a>';
            } ?> 
            
            <?php if ($port_item_custom_url != '') { ?>
                <a class="img-rounded extra-links" href="<?php echo $port_item_custom_url; ?>"><i class="icon_link"></i></a>
            <?php } else { ?>
                <a class="img-rounded extra-links" href="<?php the_permalink(); ?>"><i class="icon_link"></i></a>
            <?php } ?>


            <?php 
            if( function_exists('gg_love_this') ) {
                gg_love_this("img-rounded extra-links");
            }   
            ?>
        </div>

    </figcaption>
</figure>

<?php if ($portfolio_style == 'style_portfolio_standard') { ?>
    <h4 class="margin-bottom-null">
        <a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( '%s', 'okthemes' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark">
            <?php the_title(); ?>
        </a>
    </h4>
    
    <?php if ($port_item_short_desc != '') { ?>
        <span class="port-short-desc"><?php echo $port_item_short_desc; ?></span>
    <?php } ?>
<?php } ?>
